Subject: bug#23611: closed (Re: bug#23611: generating pdf manuals fails with TeX capacity exceeded)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 25 May 2016 17:46:02 +0000

Your bug report

#23611: generating pdf manuals fails with TeX capacity exceeded

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
23611: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=23611
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#23611: generating pdf manuals fails with TeX capacity exceeded
From: Paul Eggert <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 May 2016 10:45:21 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Reverting to the previous texinfo.tex does fix the bug, so I did that. 
I'll send a bug report to Karl Berry about the texinfo.tex bug.

As I understand it, changes to texinfo.tex are fair game since it's just 
documentation. At this point, though, it may be wise to stop updating 
texinfo.tex from Gnulib unless the update fixes a known bug in the Emacs 
documentation and does not cause problems like this one.

Subject: generating pdf manuals fails with TeX capacity exceeded
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 24 May 2016 13:38:01 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: emacs
Version: 25.0.94

Trying to make the pdf versions of the manuals on RHEL 7.2 fails for
some of them (lispintro, bovine, semantic, srecode, tramp, wisent).
It works if one uses the texinfo.tex from emacs-24. (I have often
wondered if commits like 9c2a1a264cf418 are a good idea during
pretesting.)

The errors are of the form:

This is pdfTeX, Version 3.1415926-2.5-1.40.14 (TeX Live 2013)

[...]

(./emacs-lisp-intro.toc) (./emacs-lisp-intro.toc
./emacs-lisp-intro.toc:171: TeX capacity exceeded, sorry [input stack size=5000
].
@makevalueexpandable ->@let @value 
                                   = @expandablevalue @catcode `@-=@other @c...

@value ->@begingroup @makevalueexpandable 
                                          @valuexxx 
@makevalueexpandable ->@let @value 
                                   = @expandablevalue @catcode `@-=@other @c...

@value ->@begingroup @makevalueexpandable 
                                          @valuexxx 
@makevalueexpandable ->@let @value 
                                   = @expandablevalue @catcode `@-=@other @c...

@value ->@begingroup @makevalueexpandable 
                                          @valuexxx 
...
l.171 ...unction}{13.1}{@value {COUNT-WORDS}}{145}
                                                  
./emacs-lisp-intro.toc:171:  ==> Fatal error occurred, no output PDF file produ
ced!
Transcript written on emacs-lisp-intro.log.
/usr/bin/texi2dvi: pdfetex exited with bad status, quitting.
make: *** [emacs-lisp-intro.pdf] Error 1